iconvconfig(8)

NUME
iconvconfig - creează un fișier de configurare cu încărcare rapidă pentru modulele iconv

REZUMAT
iconvconfig [opțiuni] [director]...

DESCRIERE
Funcția iconv(3) utilizează în mod intern modulele gconv pentru a converti la și de la un set de caractere. Un fișier de configurare este utilizat pentru a determina modulele necesare pentru o conversie. Încărcarea și analizarea unui astfel de fișier de configurare ar încetini programele care utilizează iconv(3), astfel încât se folosește un mecanism de memorare într-un fișier de prestocare a datelor (cache).

Programul iconvconfig citește fișierele de configurare a modulelor iconv și scrie un fișierului de prestocare a datelor de configurare a modulelor gconv care se încarcă rapid.

În plus față de modulele gconv furnizate de sistem, utilizatorul poate specifica directoare personalizate pentru modulele gconv cu ajutorul variabilei de mediu GCONV_PATH. Cu toate acestea, fișierului de prestocare a datelor de configurare a modulelor gconv este utilizat numai atunci când variabila de mediu GCONV_PATH nu este definită.

OPȚIUNI

--nostdlib
    Nu caută în directorul gconv implicit al sistemului, ci doar în directoarele furnizate în linia de comandă.

-o fișier-ieșire, --output=fișier-ieșire
    Utilizează fișier-ieșire pentru ieșire în loc de locația implicită a fișierului de prestocare a datelor din sistem.

--prefix=nume-rută
    Stabilește prefixul care urmează să fie adăugat în prealabil la numele rutelor sistemului. A se vedea FIȘIERE, mai jos. În mod implicit, prefixul este gol. Dacă se stabilește prefixul la foo, configurația modulului gconv ar fi citită din foo/usr/lib/gconv/gconv-modules, iar fișierul de prestocare a datelor (cache) ar fi scris în foo/usr/lib/gconv/gconv/gconv-modules.cache.

-?, --help
    Afișează un rezumat al utilizării și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Afișează numărul versiunii, licența și declarația de renunțare la garanție pentru iconv.

STARE DE IEȘIRE
Returnează 0 în caz de succes, diferit de zero în caz de eșec.

FIȘIERE

/usr/lib/gconv
    Ruta implicită obișnuită a modulelor gconv.

/usr/lib/gconv/gconv-modules
    Fișierul obișnuit de configurare a modulului gconv implicit al sistemului.

/usr/lib/gconv/gconv-modules.cache
    Fișierul cache obișnuit de configurare a modulelor gconv din sistem.

În funcție de arhitectură, fișierele de mai sus pot fi în schimb localizate în directoare cu prefixul de rută /usr/lib64.

CONSULTAȚI ȘI
iconv(1), iconv(3)

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.